wx-init(){
    wx-login

    echo -n "$wxItalic"
    echo "          >> Init <<          "
    echo -n "$wxNormal";
    echo "------------------------------"

    mkdir -p ~/.ssh &> /dev/null

    apt-get install -y python3-pip python3-venv jq git curl &> /dev/null
    python3 -m venv /opt/ansible &> /dev/null
    /opt/ansible/bin/pip3 install ansible hvac netaddr jmespath pexpect &> /dev/null

    /opt/ansible/bin/ansible-pull -U ssh://git@$GIT_DOMAIN:$GIT_PORT/$GIT_REPOSITORY --vault-password-file ~/.ansible/vault.yml --private-key ~/.ssh/init playbooks/init.yml -t init

}
